{% extends 'base.html' %}

{% block titulo %}
  Lista da Agenda
{% endblock titulo %}

{% block conteudo %}

<div class="container">



    <h5 class="card-title text-left mb-4 mt-1">Lista de contatos</h5>
	<hr>


    {% if messages %}
    {% for msg in messages %}
    <div class="alert alert-danger">
        {{ msg }}
    </div>
    {% endfor %}
    {% endif %}

    <!-- Se houver contato adicionado, exiba abaixo -->
    {% if cadastro %}


   <!-- Torna a Tabela Responsiva(table-responsive) -->
    <div class="table-responsive-sm">

        <table class="table table-striped table-bordered table-hover table-sm">

            <thead >
                <tr>
                    <th scope="col">Nome</th>
                    <th scope="col">E-mail</th>
                    <th scope="col">Endereço</th>
                    <th scope="col">Cargo</th>
                    <th scope="col">Celular</th>
                    <th scope="col">Telefone</th>
                    <th scope="col" style="text-align:center">Sexo</th>
                    <th colspan="2" style="text-align:center">Ações</th>
                </tr>
            </thead>


            <tbody>

                {% for c in cadastro %}

                <tr scope="row">
                    <td>{{ c.nome }}</td>
                    <td>{{ c.email }}</td>
                    <td>{{ c.endereco }}</td>
                    <td>{{ c.cargo }}</td>
                    <td>{{ c.celular }}</td>
                    <td>{{ c.telefone }}</td>
                    <td>{{ c.sexo }}</td>
                    <td style="text-align:center"><a href="{% url 'agenda:editar_contato' c.id %}" class="btn btn-info btn-xs">Editar</a></td>
                    <td style="text-align:center"><a href="{% url 'agenda:deletar_contato' c.id %}" class="btn btn-danger btn-xs">Excluir</a></td>
                </tr>

                {% endfor %}

            </tbody>
        </table>

        <!-- Se não cai aqui -->
        {% else %}
        <div class="text-center mt-5 mb-5 jumbotron">
            <h5>Não há <code>contato</code> adicionado...</h5>
        </div>

        {% endif %}


       <a href="{% url 'agenda:cadastrar' %}" class="btn btn-primary" role="button">Adicionar</a>

    </div>


</div>


{% endblock conteudo %}